Package de.willuhn.jameica.hbci.rmi

# Interface HibiscusTransfer

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Subinterfaces:
  `AuslandsUeberweisung`, `BaseDauerauftrag`, `BaseUeberweisung`, `Dauerauftrag`, `Lastschrift`, `SepaDauerauftrag`, `SepaLastschrift`, `Ueberweisung`, `Umsatz`

All Known Implementing Classes:
  `AbstractBaseDauerauftragImpl`, `AbstractBaseUeberweisungImpl`, `AbstractHibiscusTransferImpl`, `AuslandsUeberweisungImpl`, `DauerauftragImpl`, `LastschriftImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `UeberweisungImpl`, `UmsatzImpl`

public interface HibiscusTransfer extends Transfer, HibiscusDBObject
Basis-Interface fuer Geld-Transfers zwischen Konten.

## Method Summary

Modifier and Type
Method
Description
`Konto`
`getKonto()`
Liefert das Konto, ueber das bezahlt wurde.
`void`
`setBetrag(double betrag)`
Speichert den zu ueberweisenden Betrag.
`void`
`setGegenkonto(Address e)`
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setGegenkontoName(String name)`
Speichert den Namen des Kontoinhabers des Gegenkontos.
`void`
`setGegenkontoNummer(String konto)`
Speichert die Kontonummer des Gegenkontos.
`void`
`setKonto(Konto konto)`
Speichert das Konto, das zur Bezahlung verwendet werden soll.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck(String zweck)`
Speichert den Zweck der Ueberweisung.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getKonto

Konto getKonto() throws RemoteException
Liefert das Konto, ueber das bezahlt wurde.

Returns:
  Konto.
Throws:
  `RemoteException`

### setKonto

void setKonto(Konto konto) throws RemoteException
Speichert das Konto, das zur Bezahlung verwendet werden soll.

Parameters:
  `konto` - Konto, das verwendet werden soll.
Throws:
  `RemoteException`

### setGegenkontoNummer

void setGegenkontoNummer(String konto) throws RemoteException
Speichert die Kontonummer des Gegenkontos.

Parameters:
  `konto` - Kontonummer des Gegenkontos.
Throws:
  `RemoteException`

### setGegenkontoBLZ

void setGegenkontoBLZ(String blz) throws RemoteException
Speichert die BLZ des Gegenkontos.

Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`

### setGegenkontoName

void setGegenkontoName(String name) throws RemoteException
Speichert den Namen des Kontoinhabers des Gegenkontos.

Parameters:
  `name` - Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`

### setGegenkonto

void setGegenkonto(Address e) throws RemoteException
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.

Parameters:
  `e` -
Throws:
  `RemoteException`

### setBetrag

void setBetrag(double betrag) throws RemoteException
Speichert den zu ueberweisenden Betrag.

Parameters:
  `betrag` - Betrag.
Throws:
  `RemoteException`

### setZweck

void setZweck(String zweck) throws RemoteException
Speichert den Zweck der Ueberweisung.

Parameters:
  `zweck` - Zweck der Ueberweisung.
Throws:
  `RemoteException`

### setZweck2

void setZweck2(String zweck2) throws RemoteException
Speichert Zeile 2 des Verwendungszwecks.

Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`

### setWeitereVerwendungszwecke

void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Speichert eine Liste erweiterter Verwendungszwecke.

Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`